GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_channel_security_connector Struct Reference

`#include <security_connector.h>`

## Data Fields
grpc_security_connector | base
grpc_credentials * | request_metadata_creds
grpc_security_status(* | check_call_host )(grpc_channel_security_connector *sc, const char *host, grpc_security_check_cb cb, void *user_data)

## Field Documentation

grpc_security_connector grpc_channel_security_connector::base

grpc_security_status(* grpc_channel_security_connector::check_call_host)(grpc_channel_security_connector *sc, const char *host, grpc_security_check_cb cb, void *user_data)

grpc_credentials* grpc_channel_security_connector::request_metadata_creds

The documentation for this struct was generated from the following file:

- src/core/security/security_connector.h